Subject: Re: bug#71157: 30.0.50; Unbundle Idlwave from Emacs?

From: JD Smith <[email-masked]>
Date: Sun, 3 Nov 2024 13:55:10 -0500

> Stefan Kangas <[email-masked]> writes:
> 
>> Stefan Kangas <[email-masked]> writes:
>> 
>>> Andrea Corallo <[email-masked]> writes:
>>> 
>>>> Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
>>>> text editors" <[email-masked]> writes:
>>>> 
>>>>> Package: Emacs
>>>>> Version: 30.0.50
>>>>> 
>>>>> 
>>>>> Idlwave has been bundled with Emacs "forever" but that code has been
>>>>> unmaintained for many years.  There was another version over on Github.
>>>>> The two have now been consolidated and made available via GNU ELPA
>>>>> (http://elpa.gnu.org/packages/idlwave.html).
>>>>> 
>>>>> AFAICT this is a package with a very small audience, so I suggest we
>>>>> unbundle it from Emacs, leaving it up to users to install it from GNU
>>>>> ELPA instead.
>>>>> 
>>>>> Maybe we could move it to `lisp/obsolete` for Emacs-30?
>>>> 
>>>> SGTM.
>>> 
>>> +1
>> 
>> I suppose we missed the train for Emacs 30, but how about doing this on
>> master now?
> 
> That was 18 weeks ago.
> 
> I have now moved idlwave.el and related files to lisp/obsolete, and
> added a NEWS entry.  Please see commits 75c5aaae893 and b3c82f939c3.

Thanks.  Just a few days ago a user encountered a warning that confused them, arising from idl-shell looking for and failing to find an IDL install.  This should help with such accidental encounters.  I presume this will also have the side effect of removing the `.pro' entry from `auto-mode-alist'?